Package org.eclipse.cdt.core.settings.model

## Interface ICLanguageSetting

All Superinterfaces:
  `ICSettingBase`, `ICSettingObject`

All Known Implementing Classes:
  `MultiLanguageSetting`

    public interface ICLanguageSetting
    extends ICSettingObject

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getLanguageId()`
`ICLanguageSettingEntry[]` `getResolvedSettingEntries​(int kind)`
`ICLanguageSettingEntry[]` `getSettingEntries​(int kind)`
`List<ICLanguageSettingEntry>` `getSettingEntriesList​(int kind)`
`String[]` `getSourceContentTypeIds()`
`String[]` `getSourceExtensions()`
`int` `getSupportedEntryKinds()`
`void` `setLanguageId​(String id)`
`void` `setSettingEntries​(int kind, List<ICLanguageSettingEntry> entriesList)`
`void` `setSettingEntries​(int kind, ICLanguageSettingEntry[] entries)`
`void` `setSourceContentTypeIds​(String[] ids)`
`void` `setSourceExtensions​(String[] exts)`
`boolean` `supportsEntryKind​(int kind)`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingObject

`getConfiguration, getId, getName, getParent, getType, isReadOnly, isValid`

### Method Detail

#### getSourceContentTypeIds

    String[] getSourceContentTypeIds()

#### getSourceExtensions

    String[] getSourceExtensions()

#### getLanguageId

    String getLanguageId()

Returns:
  language id. Note that that id can be `null`.

#### getSettingEntries

    ICLanguageSettingEntry[] getSettingEntries​(int kind)

#### getSettingEntriesList

    List<ICLanguageSettingEntry> getSettingEntriesList​(int kind)

#### getResolvedSettingEntries

    ICLanguageSettingEntry[] getResolvedSettingEntries​(int kind)

#### setSettingEntries

    void setSettingEntries​(int kind,
                           ICLanguageSettingEntry[] entries)

#### setSettingEntries

    void setSettingEntries​(int kind,
                           List<ICLanguageSettingEntry> entriesList)

#### getSupportedEntryKinds

    int getSupportedEntryKinds()

#### supportsEntryKind

    boolean supportsEntryKind​(int kind)

#### setLanguageId

    void setLanguageId​(String id)

#### setSourceContentTypeIds

    void setSourceContentTypeIds​(String[] ids)

#### setSourceExtensions

    void setSourceExtensions​(String[] exts)